| QxOrm 1.2.1 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Static Public Member Functions
qx::trait::archive_wide_traits< T > Class Template Reference

`#include <archive_wide_traits.h>`

List of all members.

## Classes
struct | cvtQByteArray
struct | cvtQByteArray< true, dummy >
struct | cvtQString
struct | cvtQString< true, dummy >
## Public Types
enum | { is_wide = qx::trait::is_archive_wide<T>::value }
typedef boost::mpl::if_c < is_wide, wchar_t, char > ::type | type_char
typedef boost::mpl::if_c < is_wide, std::wstring, std::string >::type | type_string
typedef boost::mpl::if_c < is_wide, std::wistream, std::istream >::type | type_istream
typedef boost::mpl::if_c < is_wide, std::wostream, std::ostream >::type | type_ostream
typedef boost::mpl::if_c < is_wide, std::wstringstream, std::stringstream >::type | type_stringstream
typedef boost::mpl::if_c < is_wide, std::wistringstream, std::istringstream >::type | type_istringstream
typedef boost::mpl::if_c < is_wide, std::wostringstream, std::ostringstream >::type | type_ostringstream
typedef boost::mpl::if_c < is_wide, std::wfstream, std::fstream >::type | type_fstream
typedef boost::mpl::if_c < is_wide, std::wifstream, std::ifstream >::type | type_ifstream
typedef boost::mpl::if_c < is_wide, std::wofstream, std::ofstream >::type | type_ofstream
## Static Public Member Functions
static QString | toQString (const type_string &str)
static void | fromQString (const QString &str, type_string &result)
static QByteArray | toQByteArray (const type_string &str, type_string *owner)
static void | fromQByteArray (const QByteArray &data, type_string &result)

## Detailed Description

### template<typename T>
class qx::trait::archive_wide_traits< T >

Definition at line 77 of file archive_wide_traits.h.

## Member Typedef Documentation

template<typename T>

typedef boost::mpl::if_c<is_wide, wchar_t, char>::type qx::trait::archive_wide_traits< T >::type_char

Definition at line 84 of file archive_wide_traits.h.

template<typename T>

typedef boost::mpl::if_c<is_wide, std::wfstream, std::fstream>::type qx::trait::archive_wide_traits< T >::type_fstream

Definition at line 94 of file archive_wide_traits.h.

template<typename T>

typedef boost::mpl::if_c<is_wide, std::wifstream, std::ifstream>::type qx::trait::archive_wide_traits< T >::type_ifstream

Definition at line 95 of file archive_wide_traits.h.

template<typename T>

typedef boost::mpl::if_c<is_wide, std::wistream, std::istream>::type qx::trait::archive_wide_traits< T >::type_istream

Definition at line 87 of file archive_wide_traits.h.

template<typename T>

typedef boost::mpl::if_c<is_wide, std::wistringstream, std::istringstream>::type qx::trait::archive_wide_traits< T >::type_istringstream

Definition at line 91 of file archive_wide_traits.h.

template<typename T>

typedef boost::mpl::if_c<is_wide, std::wofstream, std::ofstream>::type qx::trait::archive_wide_traits< T >::type_ofstream

Definition at line 96 of file archive_wide_traits.h.

template<typename T>

typedef boost::mpl::if_c<is_wide, std::wostream, std::ostream>::type qx::trait::archive_wide_traits< T >::type_ostream

Definition at line 88 of file archive_wide_traits.h.

template<typename T>

typedef boost::mpl::if_c<is_wide, std::wostringstream, std::ostringstream>::type qx::trait::archive_wide_traits< T >::type_ostringstream

Definition at line 92 of file archive_wide_traits.h.

template<typename T>

typedef boost::mpl::if_c<is_wide, std::wstring, std::string>::type qx::trait::archive_wide_traits< T >::type_string

Definition at line 85 of file archive_wide_traits.h.

template<typename T>

typedef boost::mpl::if_c<is_wide, std::wstringstream, std::stringstream>::type qx::trait::archive_wide_traits< T >::type_stringstream

Definition at line 90 of file archive_wide_traits.h.

## Member Enumeration Documentation

template<typename T>

anonymous enum

Enumerator:

  is_wide |

Definition at line 82 of file archive_wide_traits.h.

## Member Function Documentation

template<typename T>

static void qx::trait::archive_wide_traits< T >::fromQByteArray | ( | const QByteArray & | data,
|  | type_string & | result
| ) |  | `[inline, static]`

Definition at line 102 of file archive_wide_traits.h.

template<typename T>

static void qx::trait::archive_wide_traits< T >::fromQString | ( | const QString & | str,
|  | type_string & | result
| ) |  | `[inline, static]`

Definition at line 99 of file archive_wide_traits.h.

template<typename T>

static QByteArray qx::trait::archive_wide_traits< T >::toQByteArray | ( | const type_string & | str,
|  | type_string * | owner
| ) |  | `[inline, static]`

Definition at line 101 of file archive_wide_traits.h.

template<typename T>

static QString qx::trait::archive_wide_traits< T >::toQString | ( | const type_string & | str | ) | `[inline, static]`

Definition at line 98 of file archive_wide_traits.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxTraits/archive_wide_traits.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines